[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.AutoSelect

AutoSelect : Boolean. If True, all contents of Text box are selected when control receives focus

## Declaration

Source position: stdctrls.pp line 386

`public property TCustomComboBox.AutoSelect: Boolean read FAutoSelect write FAutoSelect default true;`

## Description

When True, the edit control will select all its text when:

- It receives focus
- The Enter key is pressed.
- A new item is selected.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.